---
title: 'ARIA: contentinfo role'
slug: Web/Accessibility/ARIA/Roles/Contentinfo_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - role-contentinfo
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p>The <code>contentinfo</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to identify information repeated at the end of every page of a website, including copyright information, navigation links, and privacy statements. This section is commonly called a footer.</p>

<pre class="brush: html">&lt;div role="contentinfo"&gt;
  &lt;h2&gt;Footer&lt;/h2&gt;
  &lt;!-- footer content --&gt;
&lt;/div&gt;
</pre>

<p>This is a website footer. Using the <code><a href="/en-US/docs/Web/HTML/Element/footer">&lt;footer&gt;</a></code> element instead is recommended:</p>

<pre class="brush: html">&lt;footer&gt;
  &lt;h2&gt;Footer&lt;/h2&gt;
  &lt;!-- footer content --&gt;
&lt;/footer&gt;
</pre>

<h2 id="Description">Description</h2>

<p>The <code>contentinfo</code> role is <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">a landmark</a> used to identify a page footer. Landmarks can be used by assistive technology to quickly identify and navigate to large sections of the document. Pages should only include one top-level <code>contentinfo</code> landmark role per page.</p>

<p>Each page should only include one <code>contentinfo</code> landmark, created by either using the <a href="/en-US/docs/Web/HTML/Element/footer"><code>&lt;footer&gt;</code> element</a> or by declaring <code>role="contentinfo"</code>. <code>contentinfo</code> landmarks present in content embedded via <a href="/en-US/docs/Web/HTML/Element/iframe"><code>&lt;iframe&gt;</code> elements</a> do not count towards this limit.</p>

<div class="note">
<p>Using the <a href="/en-US/docs/Web/HTML/Element/footer"><code>&lt;footer&gt;</code> element</a> will automatically communicate a section has a role of <code>contentinfo</code>. Developers should always prefer using the correct semantic HTML element over using ARIA, making sure to <a href="/en-US/docs/Web/HTML/Element/footer#Accessibility_concerns">test for known issues</a> in VoiceOver.</p>
</div>

<h2 id="Examples">Examples</h2>

<pre><span class="tag">&lt;body&gt;

  </span>&lt;!-- other page content --&gt;

<span class="tag">  &lt;div role="contentinfo"&gt;
    &lt;h2&gt;MDN Web Docs&lt;/h2&gt;
    &lt;ul&gt;
      &lt;li&gt;&lt;a href="#"&gt;</span>Web Technologies<span class="tag">&lt;/a&gt;&lt;/li&gt;
      &lt;li&gt;&lt;a href="#"&gt;</span>Learn Web Development<span class="tag">&lt;/a&gt;&lt;/li&gt;
      &lt;li&gt;&lt;a href="#"&gt;</span>About MDN<span class="tag">&lt;/a&gt;&lt;/li&gt;
      &lt;li&gt;&lt;a href="#"&gt;</span>Feedback<span class="tag">&lt;/a&gt;&lt;/li&gt;
    &lt;/ul&gt;
    &lt;p&gt;</span>© 2005-2018 Mozilla and individual contributors.<span class="tag"> </span>Content is available under &lt;a href="#"&gt;these licenses&lt;/a&gt;.<span class="tag">&lt;/p&gt;</span>
<span class="tag">  &lt;/div&gt;
&lt;/body&gt;</span>
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<h3 id="Use_sparingly">Use sparingly</h3>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h3 id="One_contentinfo_landmark_per_page">One <code>contentinfo</code> landmark per page</h3>

<h4 id="The_&lt;body&gt;_element">The <code>&lt;body&gt;</code> element</h4>

<p>There should be only one <code>contentinfo</code> landmark per document, used as the immediate descendant of the <a href="/en-US/docs/Web/HTML/Element/body"><code>&lt;body&gt;</code> element</a>.</p>

<h4 id="Mega-footers">Mega-footers</h4>

<p>Do not nest additional <a href="/en-US/docs/Web/HTML/Element/footer"><code>&lt;footer&gt;</code> elements</a> or <code>contentinfo</code> landmarks inside of the document's footer. Use other <a href="/en-US/docs/Web/HTML/Element#Content_sectioning">content sectioning elements</a> instead.</p>

<h3 id="Labeling_landmarks">Labeling landmarks</h3>

<h4 id="Multiple_landmarks">Multiple landmarks</h4>

<p>If there is more than one <code>contentinfo</code> landmark role or <a href="/en-US/docs/Web/HTML/Element/footer"><code>&lt;footer&gt;</code> element</a> in a document, provide a label with the <code>aria-label</code> attribute for each landmark. This label will allow assitive technology users to quickly understand the purpose of each landmark.</p>

<pre class="brush: html">&lt;body&gt;

  ...

  &lt;article&gt;
    &lt;h2&gt;Everyday Pad Thai&lt;/h2&gt;
    &lt;!-- article content --&gt;
    &lt;footer aria-label="Everyday Pad Thai metadata"&gt;
      &lt;p&gt;Posted on &lt;time datetime="2018-09-23 12:17"&gt;May 16&lt;/time&gt; by &lt;a href="#"&gt;Lisa&lt;/a&gt;.&lt;/p&gt;
    &lt;/footer&gt;
  &lt;/article&gt;

  ...

  &lt;footer aria-label="Footer"&gt;
    &lt;!-- footer content --&gt;
  &lt;/footer&gt;
&lt;/body&gt;</pre>

<h4 id="Redundant_descriptions">Redundant descriptions</h4>

<p>Screen readers will announce the type of role the landmark is. Because of this, you do not need to describe what the landmark is in its label. For example, a declaration of <code>role="contentinfo"</code> with an of <code>aria-label="Footer"</code> may be announced redundantly as, "contentinfo footer".</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>When it is an immediate descendant of the <a href="/en-US/docs/Web/HTML/Element/body"><code>&lt;body&gt;</code> element,</a> using the <a href="/en-US/docs/Web/HTML/Element/footer"><code>&lt;footer&gt;</code> element</a> will automatically communicate a section has a role of <code>contentinfo</code> (save for <a href="/en-US/docs/Web/HTML/Element/footer#Accessibility_concerns">a known issue</a> in VoiceOver). If at all possible, prefer using <code>&lt;footer&gt;</code> instead. Note that a <code>footer</code> element nested within an <code>article</code>, <code>aside</code>, <code>main</code>, <code>nav</code>, or <code>section</code> is not considered <code>contentinfo.</code></p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="http://matatk.agrip.org.uk/landmarks/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#contentinfo","contentinfo landmark role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_contentinfo","contentinfo landmark role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/footer">&lt;footer&gt;: The Footer element</a></li>
 <li><a href="https://www.w3.org/TR/wai-aria/#contentinfo">contentinfo (role): Accessible Rich Internet Applications (WAI-ARIA) 1.1</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
 <li><a href="http://html5doctor.com/the-footer-element-update/">The Footer Element Update | HTML5 Doctor</a></li>
</ul>
